Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02024 Color/Palette Minor Have not tried Jul 18, 2008, 21:48 Sep 27, 2008, 17:49
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To nicolasa Resolution Fixed OS Windows 2000
Status [?] Resolved Driver taito_f3.cpp
Version 0.126u1 Fixed in Version 0.127u6 Build Normal
Summary 02024: pbobble3, pbobble4, ringrage and clones: Color Regression
Description Between 0.126 and 0.126u1 there was a color regression - illustrated by the Taito logos
Steps To Reproduce
Additional Information
Flags
Regression Version 0.126u1
Affected Sets / Systems pbobble3, pbobble4, ringrage and clones
Attached Files
png file icon pbobble126.png (4,536 bytes) Jul 18, 2008, 21:48
png file icon pbobble126u1.png (2,632 bytes) Jul 18, 2008, 21:49
png file icon ringrage126.png (5,462 bytes) Jul 18, 2008, 22:18
png file icon ringrage126u1.png (3,482 bytes) Jul 18, 2008, 22:18
png file icon 01.png (13,910 bytes) Sep 24, 2008, 18:06
Relationships
There are no relationship linked to this issue.
Notes
9
User avatar
No.01696
etabeta
Developer
Jul 18, 2008, 22:11
the file src/video/taito_f3.c has been changed to fix some bug (e.g. in arabianm), but I can confirm the taito logo has been broken in these two games.

putting f3_config_table[] the lines

{ PBOBBLE3, 0, 1, 4, 5 },
{ PBOBBLE4, 0, 1, 4, 5 },

fixes the bug but breaks other graphics later (a 4 in the last column would produce the same result), so maybe the bug is in the color_mask in get_tile_info
User avatar
No.01697
Tafoid
Administrator
Jul 18, 2008, 22:17
Added ringrage to the list.
User avatar
No.02561
Smitdogg
Moderator
Sep 24, 2008, 18:06
I added another ringrage glitch snapshot.
User avatar
No.02564
couriersud
Developer
Sep 24, 2008, 20:24
Thanks for pointing out the direction!
User avatar
No.02571
Haze
Senior Tester
Sep 25, 2008, 10:06
according to Nicola on the list this isn't properly fixed?
User avatar
No.02572
Haze
Senior Tester
Sep 25, 2008, 15:08
according to Nicola this isn't fixed and needs further investigation
User avatar
No.02573
Tafoid
Administrator
Sep 25, 2008, 15:54
Ok - detagging from fixed and reopening
User avatar
No.02616
Tafoid
Administrator
Sep 27, 2008, 17:39
Nicola, are you stating this is fixed for 0.127u6 then? I tried 0.127u5 which seems to have Couriersud's fix - which displays the title screen correct, but if trashes other palettes in the games listed.
User avatar
No.02618
nicolasa
Developer
Sep 27, 2008, 17:49
will be fixed in 0.127u6